%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

%define url_ver	%(echo %{version} | cut -d. -f1,2)

Summary:	Gtk frontend for git
Name:		giggle
Version:	0.7
Release:	%mkrel 12
License:	GPLv2+
Group:		Development/Other
URL:		https://wiki.gnome.org/giggle
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		giggle-0.7-gtksourceview-3.8.patch
Patch1:		giggle-0.7-gettext-usage.patch
Patch2:		giggle-0.7-vte2.91.patch
Patch3:		giggle-0.7-fix-build-with-gcc-10.patch
BuildRequires:	pkgconfig(gdk-3.0) >= 3.3.12
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= 2.22
BuildRequires:	pkgconfig(gio-2.0) >= 2.30
BuildRequires:	pkgconfig(glib-2.0) >= 2.30
BuildRequires:	pkgconfig(gthread-2.0) >= 2.30
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.3.12
BuildRequires:	pkgconfig(gtksourceview-3.0) >= 3.8
BuildRequires:	pkgconfig(libebook-1.2) >= 3.2
BuildRequires:	pkgconfig(vte-2.91)
BuildRequires:	intltool >= 0.40.0
BuildRequires:	git-core
BuildRequires:	itstool
BuildRequires:	yelp-tools
BuildRequires:	libxml2-utils
BuildRequires:	xsltproc
BuildRequires:	gnome-common
Requires:	git-core

%description
Giggle is a graphical frontend for the git directory tracker.

%package -n %{libname}
Summary:	%{summary}
Group:		System/Libraries

%description -n %{libname}
Giggle is a graphical frontend for the git directory tracker.

%package -n %{develname}
Summary:	%{summary}
Group:		Development/C
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
Giggle is a graphical frontend for the git directory tracker.

%prep
%setup -q
%autopatch -p1

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure --disable-static
%make_build

%install
%make_install

%find_lang %{name} --with-gnome

find %{buildroot} -name '*.la' -delete

%files -f %{name}.lang
%doc AUTHORS README NEWS ChangeLog
%{_bindir}/*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%dir %{_libdir}/%{name}/plugins/%{version}
%{_libdir}/%{name}/plugins/%{version}/libpersonal-details*
%{_libdir}/%{name}/plugins/%{version}/libterminal-view*
%{_libdir}/%{name}/plugins/%{version}/*.xml
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*

%files -n %{libname}
%{_libdir}/libgiggle.so.%{major}{,.*}
%{_libdir}/libgiggle-git.so.%{major}{,.*}

%files -n %develname
%{_libdir}/libgiggle.so
%{_libdir}/libgiggle-git.so
%{_includedir}/%{name}/


%changelog
* Tue Aug 25 2020 martinw <martinw> 0.7-12.mga8
+ Revision: 1618974
- fix build with GCC 10

* Thu Feb 13 2020 umeabot <umeabot> 0.7-11.mga8
+ Revision: 1512508
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.7-10.mga7
+ Revision: 1297888
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Wed Sep 13 2017 cjw <cjw> 0.7-9.mga7
+ Revision: 1153478
- rebuild for new find_lang

* Tue Jan 12 2016 danf <danf> 0.7-8.mga6
+ Revision: 922260
- Replaced vte2.91.patch with the upstream version which is more complete

* Wed Oct 15 2014 umeabot <umeabot> 0.7-7.mga5
+ Revision: 739365
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7-6.mga5
+ Revision: 679571
- Mageia 5 Mass Rebuild

* Sun Jun 08 2014 wally <wally> 0.7-5.mga5
+ Revision: 634783
- add patch to build with vte2.91
- drop unneeded lib require on main pkg

* Sat Nov 09 2013 ovitters <ovitters> 0.7-5.mga4
+ Revision: 550153
- fix url

* Sat Nov 02 2013 fwang <fwang> 0.7-4.mga4
+ Revision: 549054
- fix build with latest gnome-common
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Tue May 28 2013 fwang <fwang> 0.7-3.mga4
+ Revision: 429071
- br yelp-tools
- add upstream patch to build with latest gtksourceview
- rebuild for new gtksourceview

* Sat Jan 12 2013 umeabot <umeabot> 0.7-2.mga3
+ Revision: 351553
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 bersuit <bersuit> 0.7-1.mga3
+ Revision: 316223
- updated to upstream 0.7

* Fri Oct 28 2011 fwang <fwang> 0.6.1-1.mga2
+ Revision: 159009
- find help file also
- update br
- br itstool
- new version 0.6.1
- do  not encofre automake
- cleanup spec
+ dmorgan <dmorgan>
- Rebuild against new evolution-data-server

* Fri Apr 15 2011 obgr_seneca <obgr_seneca> 0.5-3.mga1
+ Revision: 85764
- cleaned up spec file
- removed buildroot tag
- imported package giggle


* Mon Aug 09 2010 Götz Waschk <waschk@mandriva.org> 0.5-2mdv2011.0
+ Revision: 568225
- rebuild for new e-d-s

* Wed Apr 21 2010 Götz Waschk <waschk@mandriva.org> 0.5-1mdv2010.1
+ Revision: 537705
- update to new version 0.5

* Tue Mar 09 2010 Götz Waschk <waschk@mandriva.org> 0.4.97-1mdv2010.1
+ Revision: 516901
- update to new version 0.4.97

* Tue Feb 09 2010 Götz Waschk <waschk@mandriva.org> 0.4.96-1mdv2010.1
+ Revision: 503236
- update to new version 0.4.96

* Tue Jan 26 2010 Götz Waschk <waschk@mandriva.org> 0.4.95-2mdv2010.1
+ Revision: 496509
- new version
- rediff patch
- update file list
- update build deps

* Fri Sep 11 2009 Thierry Vignaud <tv@mandriva.org> 0.4.91-3mdv2010.0
+ Revision: 437690
- rebuild

  + Götz Waschk <waschk@mandriva.org>
    - update URL

* Mon Feb 16 2009 Funda Wang <fwang@mandriva.org> 0.4.91-2mdv2009.1
+ Revision: 341157
- fix linakge

* Mon Feb 16 2009 Götz Waschk <waschk@mandriva.org> 0.4.91-1mdv2009.1
+ Revision: 340783
- new version
- libify the package

* Fri Feb 13 2009 Götz Waschk <waschk@mandriva.org> 0.4.90-1mdv2009.1
+ Revision: 340030
- new version
- fix build
- fix installation
- update file list
- fix build deps
- fix source URL

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.4-3mdv2009.0
+ Revision: 246122
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Funda Wang <fwang@mandriva.org>
    - no need rm cache file

* Sun Dec 16 2007 Funda Wang <fwang@mandriva.org> 0.4-1mdv2008.1
+ Revision: 120555
- add more doc files
- fix file list
- New version 0.4
- BR gtksourceview2

* Fri Dec 14 2007 Thierry Vignaud <tv@mandriva.org> 0.3-2mdv2008.1
+ Revision: 119926
- require the proper version of gtksourceview-devel
- rebuild b/c of missing package on ia32

* Thu May 10 2007 Frederic Crozat <fcrozat@mandriva.com> 0.3-1mdv2008.0
+ Revision: 26037
- Release 0.3
- Add dependency on git-core

* Thu May 03 2007 Pascal Terjan <pterjan@mandriva.org> 0.2-1mdv2008.0
+ Revision: 21683
- BuildRequires git-core
- 0.2


* Wed Mar 07 2007 Pascal Terjan <pterjan@mandriva.org> 0.1-1mdv2007.1
+ Revision: 134882
- Import giggle

* Wed Mar 07 2007 Pascal Terjan <pterjan@mandriva.org> 0.1-1mdv2007.1
- First Package

